#!/bin/sh
#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title: reprocessFailedDocument.sh
##   Description: Resubmit failed inbound and outbound documents. 
## 					Also, delete failed documents.
##
##
#############################################################################

#
# setup solution environment
#
SCRIPT_DIR=`dirname ${0}`
if [ -f ${SCRIPT_DIR}/pedigree-env.sh ]; then
	. ${SCRIPT_DIR}/pedigree-env.sh
else
	# "$0 : File not found ${SCRIPT_DIR}/pedigree-env.sh"
	exit -1
fi
appendClassPathWithWASJars
SSL_SETTINGS=`sslWASSettings`

#WAS_EXP_CLASSPATH=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/installedChannels/channel.http.jar:$WAS_HOME/lib/webservices.jar:$WAS_HOME/installedChannels/channel.soap.jar:$WAS_HOME/installedChannels/channel.tcp.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar

#WAS_REG_CLASSPATH=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$WAS_HOME/plugins/org.eclipse.core.runtime_3.1.2.jar:$WAS_HOME/plugins/com.ibm.wsspi.extension_6.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.bootstrap_6.1.0.jar:$WAS_HOME/plugins/org.eclipse.osgi_3.1.2.jar:$WAS_HOME/plugins/com.ibm.ws.emf_2.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.sib.utils_2.0.0.jar:$WAS_HOME/runtimes/com.ibm.ws.webservices.thinclient_6.1.0.jar:$WAS_HOME/lib/webadmin/management.jar:$WAS_HOME/plugins/com.ibm.ws.wccm_6.1.0.jar

java -classpath $CLASSPATH -DRFIDIC_HOME=$RFIDIC_HOME -Dcom.ibm.ssl.performURLHostNameVerification="true" $SSL_SETTINGS com.ibm.rfidic.pedigree.doc.failedDocument.util.FailedDocumentCLI $* 
 
