#!/bin/sh 

#
# Licensed Materials - Property of IBM
# "Restricted Materials of IBM"
# 5724-O98
# (c)  Copyright IBM Corp. 2008, 2012 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#

# utility to post a DPMS document to Pedigree
# usage:
#    sendSamplePedigree.sh IPAddress PortNo path of file
#

SCRIPT_DIR=`dirname ${0}`
echo "Going to execute "
if [ -f ${SCRIPT_DIR}/pedigree-env.sh ]; then
	. ${SCRIPT_DIR}/pedigree-env.sh
else
	# "$0 : File not found ${SCRIPT_DIR}/pedigree-env.sh"
	exit -1
fi
appendClassPathWithWASJars
SSL_SETTINGS=`sslWASSettings`
java -classpath $CLASSPATH -Dcom.ibm.ssl.performURLHostNameVerification="true" $SSL_SETTINGS com.ibm.rfidic.pedigree.install.syscheck.SendDocumentPedigree $* 
